Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004422 [JEDI VCL] 00 JVCL Components minor always 2008-08-14 07:09 2008-10-25 09:54
Reporter R2D2-Master View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.33
Summary 0004422: JvFBGrid Column Titles
Description Problem is actualy with Version 3.34 it wasn't on list to select.

From version 3.34 'UseXPThemes' was added and it default to true.

The problem is the Column Names don't show when in the development screen if 'UseXPThemes' are set to 'True'. In Run Time it shows normal.
If you set 'UseXPThemes' to False then the Column names show in the development platform.
Additional Information I Use Delphi 2007 all updates loaded. (Enable runtime Themes is Activated for the project)
Windows XP
Tags No tags attached.
Attached Files zip file icon Screen shots.zip [^] (192,554 bytes) 2008-08-14 07:10

- Relationships
has duplicate 0004423resolvedobones JvFBGrid Column Titles 

-  Notes
(0014606)
R2D2-Master (reporter)
2008-09-17 02:49

Update: I see when the Table/Query is active in Design time it shows the column names but when the Table/Query is inactive in Design time. it don't show the column names.
(0014717)
obones (administrator)
2008-09-29 06:33

Well, yes. It cannot show the column names if it is not connected to the database...
(0014732)
R2D2-Master (reporter)
2008-10-01 06:12

Its connected but not active, with the option UseXPThemes as False it shows the column titles when the data component is not active but it is connected.

Thanks
(0014733)
R2D2-Master (reporter)
2008-10-01 06:16

By connected i mean the data component Table/Query is available with fields defined, and the JvDBGrid is connected to the Table/Query component. But the Table/Query is not set to the Active Position.

Thanks
(0014904)
AHUser (developer)
2008-10-25 08:17

Could you attach a small example application that demos the bug?
I can't reproduce this with a TClientDataSet.
(0014905)
AHUser (developer)
2008-10-25 08:22

While looking at another Mantis entry I found an example. It's the "Columns[].Title" that isn't shown by UseXPThemes.
(0014907)
AHUser (developer)
2008-10-25 09:54

Fixed in SVN.

- Issue History
Date Modified Username Field Change
2008-08-14 07:09 R2D2-Master New Issue
2008-08-14 07:10 R2D2-Master File Added: Screen shots.zip
2008-08-14 08:21 obones Relationship added has duplicate 0004423
2008-09-17 02:49 R2D2-Master Note Added: 0014606
2008-09-29 06:33 obones Note Added: 0014717
2008-09-29 06:33 obones Status new => feedback
2008-10-01 06:12 R2D2-Master Note Added: 0014732
2008-10-01 06:16 R2D2-Master Note Added: 0014733
2008-10-25 08:17 AHUser Note Added: 0014904
2008-10-25 08:22 AHUser Note Added: 0014905
2008-10-25 09:54 AHUser Status feedback => resolved
2008-10-25 09:54 AHUser Fixed in Version => Daily / SVN
2008-10-25 09:54 AHUser Resolution open => fixed
2008-10-25 09:54 AHUser Assigned To => AHUser
2008-10-25 09:54 AHUser Note Added: 0014907


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker